libcurl.so.4

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Es gibt Neuigkeiten! Ab sofort könnt ihr dem Donators Club auf Lebenszeit beitreten.
Weitere Infos im Thema Donator's Club ab heute wieder verfügbar!

  • BigBoss98 schrieb:

    git clone github.com/curl/curl.git./buildconf./configuremakemake test # optionalsudo make install
    -bash: git: command not found


    BigBoss98 schrieb:

    oder
    sudo apt install libcurl4-openssl-dev

    apt install libcurl4-openssl-dev
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    libcurl4-openssl-dev is already the newest version (7.52.1-5+deb9u9).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
  • iTsRooT schrieb:

    BigBoss98 schrieb:

    git clone github.com/curl/curl.git./buildconf./configuremakemake test # optionalsudo make install
    -bash: git: command not found

    BigBoss98 schrieb:

    oder
    sudo apt install libcurl4-openssl-dev
    apt install libcurl4-openssl-dev
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    libcurl4-openssl-dev is already the newest version (7.52.1-5+deb9u9).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    sudo apt install git
    Es ist Zukunftsmusik sowie :D :D :D
  • Ich will dir ja nicht zu nahe Treten aber deine Lösungsvorschläge sind alle für die Tonne

    Zitierter Post verweist auf ein Paket aus dem Testing Branch (Buster), Stable ist momentan Stretch. Wenn man die Suchfunktion ein wenig mehr ausreizt findet man folgendes: packages.debian.org/search?sea…ame&suite=stable&arch=any

    Somit muss er nur das Paket libcurl3 installieren
    „Nicht das, was du nicht weißt, bringt dich in Schwierigkeiten, sondern dass, was du sicher zu wissen glaubst, obwohl es gar nicht wahr ist.“
    Mark Twain

    ---
    ICH BIN NUR HIER UM LEUTE ANZUSCHREIEN
  • seegras schrieb:

    Ich will dir ja nicht zu nahe Treten aber deine Lösungsvorschläge sind alle für die Tonne
    Zitierter Post verweist auf ein Paket aus dem Testing Branch (Buster), Stable ist momentan Stretch. Wenn man die Suchfunktion ein wenig mehr ausreizt findet man folgendes: packages.debian.org/search?sea…ame&suite=stable&arch=any

    Somit muss er nur das Paket libcurl3 installieren
    Sorry möchte nur helfen!
    Es ist Zukunftsmusik sowie :D :D :D
  • seegras schrieb:

    Somit muss er nur das Paket libcurl3 installieren

    apt-get install libcurl3
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    libcurl3 is already the newest version (7.52.1-5+deb9u9).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    hab dies bereits geht immer noch nicht habe jede webseite durchsucht aber keine lösung gefunden sitze schon seit 4 stunden und suche.
  • Dann doch aber bitte nur wenn du auch weißt was du da als Hilfe postest

    BigBoss98 schrieb:

    git clone github.com/curl/curl.git./buildconf./configuremakemake test # optionalsudo make install
    Hier hätte ein Prüfender Blick vor dem Abschicken gezeigt dass die Formatierung verloren gegangen ist und somit nicht mehr 1:1 kopiert werden kann

    Shell-Script

    1. git clone github.com/curl/curl.git && cd curl
    2. ./buildconf
    3. ./configure
    4. make
    5. make test
    6. #optional
    7. sudo make install
    Alles anzeigen
    „Nicht das, was du nicht weißt, bringt dich in Schwierigkeiten, sondern dass, was du sicher zu wissen glaubst, obwohl es gar nicht wahr ist.“
    Mark Twain

    ---
    ICH BIN NUR HIER UM LEUTE ANZUSCHREIEN
  • Das ist curl, jedoch nicht aus den Paketquellen installiert sondern aus dem Sourcecode selber kompiliert (kaum zu glauben, nicht nur SA-MP Gamemodes werden kompiliert :P)

    Ob das jedoch was bringt ist fraglich

    Wie siehts denn bei deinem SA-MP Server aus, schon mal die üblichen Diagnosetools crashdetect und Nativechecker in den Pluginsordner geschmissen?
    „Nicht das, was du nicht weißt, bringt dich in Schwierigkeiten, sondern dass, was du sicher zu wissen glaubst, obwohl es gar nicht wahr ist.“
    Mark Twain

    ---
    ICH BIN NUR HIER UM LEUTE ANZUSCHREIEN
  • //edit ohne den FS

    Brainfuck-Quellcode

    1. ----------
    2. Loaded log file: "server_log.txt".
    3. ----------
    4. SA-MP Dedicated Server
    5. ----------------------
    6. v0.3.7-R2, (C)2005-2015 SA-MP Team
    7. [00:04:32] filterscripts = "" (string)
    8. [00:04:32]
    9. [00:04:32] Server Plugins
    10. [00:04:32] --------------
    11. [00:04:32] Loading plugin: crashdetect.so
    12. [00:04:32] CrashDetect plugin 4.19.4
    13. [00:04:32] Loaded.
    14. [00:04:32] Loading plugin: sscanf.so
    15. [00:04:32]
    16. [00:04:32] ===============================
    17. [00:04:32] sscanf plugin loaded.
    18. [00:04:32] Version: 2.8.3
    19. [00:04:32] (c) 2018 Alex "Y_Less" Cole
    20. [00:04:32] ===============================
    21. [00:04:32] Loaded.
    22. [00:04:32] Loading plugin: mysql.so
    23. [00:04:32] >> plugin.mysql: R41-4 successfully loaded.
    24. [00:04:32] Loaded.
    25. [00:04:32] Loading plugin: streamer.so
    26. [00:04:32]
    27. *** Streamer Plugin v2.7.9 by Incognito loaded ***
    28. [00:04:32] Loaded.
    29. [00:04:32] Loading plugin: SyncHTTP.so
    30. [00:04:32] Failed (libcurl.so.4: cannot open shared object file: No such file or directory)
    31. [00:04:32] Loaded 4 plugins.
    32. [00:04:32]
    33. [00:04:32] Filterscripts
    34. [00:04:32] ---------------
    35. [00:04:32] Loaded 0 filterscripts.
    36. [00:04:32] [debug] Run time error 19: "File or function is not found"
    37. [00:04:32] [debug] SynchronizedHTTP
    38. [00:04:32] [debug] Run time error 19: "File or function is not found"
    39. [00:04:32] [debug] SynchronizedHTTP
    40. [00:04:32] Script[gamemodes/CoLR41-4.amx]: Run time error 19: "File or function is not found"
    41. [00:04:32] Number of vehicle models: 0
    Alles anzeigen
  • Ich hab das ganze mal selber ausprobiert und einen kleinen Kniff angewandt

    LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libcurl.so.4 sudo ./samp03svr

    Dabei hab ich dann folgendes erhalten:

    Brainfuck-Quellcode: server_log.txt

    1. SA-MP Dedicated Server
    2. ----------------------
    3. v0.3.7-R2, (C)2005-2015 SA-MP Team
    4. [00:25:19]
    5. [00:25:19] Server Plugins
    6. [00:25:19] --------------
    7. [00:25:19] Loading plugin: SyncHTTP.so
    8. [00:25:19] Failed (libcurl.so.4: wrong ELF class: ELFCLASS64)
    9. [00:25:19] Loaded 0 plugins.

    Heißt also dass dein gewünschtes Plugin explizit nur mit den 32bit Libraries funktioniert. Du kannst nun entscheiden ob es dir die Mühe Wert ist oder ob du dir nicht lieber ein alternatives Plugin suchst welches bessere Kompatibilität aufweist
    „Nicht das, was du nicht weißt, bringt dich in Schwierigkeiten, sondern dass, was du sicher zu wissen glaubst, obwohl es gar nicht wahr ist.“
    Mark Twain

    ---
    ICH BIN NUR HIER UM LEUTE ANZUSCHREIEN

  • PAWN-Quellcode

    1. forward WBB_GetUserIDFixed(playerid);
    2. public WBB_GetUserIDFixed(playerid) {
    3. new buffer[128], postData[128];
    4. format(postData ,sizeof postData, "&request=wbb_getId&username=%s", GetName(playerid));
    5. SendClientMessage(playerid, COLOR_GREEN, postData);
    6. //SendWbbApiRequest(postData, buffer, sizeof buffer);
    7. return strval(buffer);
    8. }
    9. /*
    10. SendWbbApiRequest(PostData[],Result[],Length)
    11. {
    12. new httpStatus = SynchronizedHTTP (WBB_CONNECT_URL, PostData , Result , Length , HTTP_GET , 5 , true);
    13. if(httpStatus == 200)
    14. {
    15. return true;
    16. }
    17. else
    18. {
    19. return false;
    20. }
    21. }*/
    Alles anzeigen

    Beitrag von Tenchuu ()

    Dieser Beitrag wurde von seegras aus folgendem Grund gelöscht: Bitte erstmal das ganze Thema lesen, das wurde schon vorgeschlagen ().